## ros-noetic-fkie-multimaster-msgs 1.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fkie_multimaster_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

#######################################
## Declare ROS messages and services ##
#######################################

## Generate messages in the 'msg' folder
add_message_files(
  DIRECTORY msg
  FILES
  LinkState.msg
  LinkStatesStamped.msg
  MasterState.msg
  ROSMaster.msg
  SyncMasterInfo.msg
  SyncServiceInfo.msg
  SyncTopicInfo.msg
)

## Generate services in the 'srv' folder
add_service_files(
  DIRECTORY srv
  FILES
  DiscoverMasters.srv
  GetSyncInfo.srv
  LoadLaunch.srv
  Task.srv
)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
    CFG_EXTRAS version.cmake.in
    CATKIN_DEPENDS message_runtime std_msgs
)

# generate code for gRPC protocols
include(cmake/grpc_protoc.cmake)
generate_grpc(PROTO_FILES file launch monitor screen settings version)

install(
    DIRECTORY
    ${GRPC_GENERATED_SRC_DIR}
    DESTINATION ${CATKIN_PACKAGE_PYTHON_DESTINATION}
)

install(
    DIRECTORY
    grpc
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-fkie-multimaster-msgs (1.3.2-2buster) buster; urgency=high

  * fkie_multimaster_msgs: fix for installing generated grpc files when building Debian package
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sat, 16 Jul 2022 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (1.3.1-2buster) buster; urgency=high

  * fkie_multimaster_msgs: fix python3 dependency
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (1.3.0-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (1.2.7-2buster) buster; urgency=high

  * Fix install location for generated gRPC submodule
  * Revert "added imports to generated grpc init"
    This reverts commit 571dd90701b4c48dcd9b5627827f7adc0ce02589.
  * Contributors: Alexander Tiderko, Timo Röhling

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 22 Jan 2021 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (1.2.6-2buster) buster; urgency=high

  * added imports to generated grpc init
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (1.2.5-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (1.2.4-2buster) buster; urgency=high

  * use ${PYTHON_EXECUTABLE} instead of search by itself
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 10 Nov 2020 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (1.2.0-2buster) buster; urgency=high

  * fkie_multimaster: fixed warning for cmake_minimum_required
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 21 Jul 2020 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (1.1.0-2buster) buster; urgency=high

  * prepared conditions for python3  in package xml
  * fkie_multimaster_msgs: changed timestamp in MasterState from float to time
  * fkie_multimaster_msgs: changed timestamp in LinkState from float to time
  * fkie_multimaster: added timestamp of last heartbeat to LinkState message
  * fkie_multimaster_fkie: removed unused messages and services
  * fkie_multimaster_msgs: fixed install grpc files in python3 environment
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 12 May 2020 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.12-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Apr 2019 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.11-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.10-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.9-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 20 Dec 2018 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.8-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.7-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.5-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 10 Dec 2018 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.4-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 07 Dec 2018 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.3-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.2-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 09 Aug 2018 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.1-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.8.0-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 15 Jul 2018 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.7.8-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 23 Mar 2018 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.7.7-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Oct 2017 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.7.6-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.7.5-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.7.4-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 02 May 2017 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.7.3-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 23 Apr 2017 22:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.7.2-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Jan 2017 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.7.1-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Wed, 25 Jan 2017 23:00:00 -0000

ros-noetic-fkie-multimaster-msgs (0.7.0-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 08 Jan 2017 23:00:00 -0000



=== debian/control ===
Source: ros-noetic-fkie-multimaster-msgs
Section: misc
Priority: optional
Maintainer: Alexander Tiderko <alexander.tiderko@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-grpc-tools, ros-noetic-catkin, ros-noetic-message-generation, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/multimaster_msgs_fkie
Standards-Version: 3.9.2

Package: ros-noetic-fkie-multimaster-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-message-runtime, ros-noetic-std-msgs
Description: The messages required by multimaster packages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fkie-multimaster-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
